cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

EF 50mm f/1.8 STM firmware issue, lens won’t work

Mpflepsen
Contributor

I have been using a Canon EF 50mm f/1.8 STM on my Canon M50 Mark II for quite some time with no issues. The other day I was shooting with it and when I turned the camera on I received a notification for Update Lens Firmware - “memory card containing firmware is required to update.” The problem is I can’t find ANY firmware update for that lens. I did subsequently update the camera’s firmware but still received the lense error. All other lenses work fine. 

11 REPLIES 11

shadowsports
Legend
Legend

Greetings,

The behavior you describe does not sound normal.  

I am not aware of any firmware being available for this lens or EF-M adapter.  

Turning on the camera doesn't initiate any type of firmware check either.  Was the card in the camera used elsewhere for a firmware update or maybe with the EOS Utility?

Firmware updates are not automatic, they have to be performed manually. 

Curious to hear what others say.

 

~Rick
Bay Area - CA


~R5 C (1.0.6.1) ~RF Trinity, ~RF 100 Macro, ~RF 100~400, ~RF 100~500, +RF 1.4x TC, +Canon Control Ring, BG-R10, 430EX III-RT ~DxO PhotoLab Elite ~DaVinci Resolve ~Windows11 Pro ~ImageClass MF644Cdw/MF656Cdw ~Pixel 8
~CarePaks Are Worth It

Thanks for responding. To add, I was actually using the camera that day, with that lens on, and that memory card in. I had taken some shots with it, turned it off, turned it back on, and got that notice. I can’t bypass it in any way to get to the camera menu. But it’s only that lens. All other factory and sigma lenses I have work just fine.

MikeSowsun
Authority
Authority

Go into the camera menu and check the current firmware version on the lens. It should be 1.0.3

C8D57352-04C4-4531-A7D9-3E09A771430A.jpeg

Mike Sowsun

Mike,

thanks for taking the time to help with my question. So, for all other lenses I have this works, and firmware is up to date. For my 50mm lens in question, I can’t even get to my menu on the camera. When I turn it on, this is all I get and cannot continue to any other camera functionality (again, just for my 50mm lens).

when I turn on the camera I get this message:

IMG_9070.jpeg

I then select OK and get this message:

IMG_9068.jpeg

 I cannot move past this screen. I’m stuck here. On Canon’s website there is no available firmware for the lens so not sure what to do at this point.

Thanks again for insight and input.

ebiggs1
Legend
Legend

"I did subsequently update the camera’s firmware but still received the lense error."

 

I suspect this is what failed. Try updating the camera FW again. Follow the instructions carefully. D/l a new copy of the FW and put it on a new formatted SD card. There is no FW for the Canon EF 50mm f/1.8 STM lens.

EB
EOS 1DX and 1D Mk IV and less lenses then before!

Thanks ebiggs1. I’ll give that a try and report back. Appreciate the info.

No go. Bought another card and reloaded camera firmware v1.0.3 for the M50 mii, which is the current firmware on Canon’s website, and I’ll still getting the error that I need to update the firmware, and then that there’s no card detected when only this lens is connected. All other lenses work just fine.

ebiggs1
Legend
Legend

Sorry so with out actually handling the camera and knowing its complete history I am out of suggestions. Things like a drop or something got wet, etc.

EB
EOS 1DX and 1D Mk IV and less lenses then before!

Yeah. I’m at a loss too. It stopped working while using. The only thing I have not yet been able to test is if it works on another camera body so that is my next step before or while at my local camera shop. Thanks for the help along the way. Much appreciated.

National Parks Week Sweepstakes style=

Enter for a chance to win!

April 20th-28th
Announcements